- [HTTP request](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.conversations.suggestions/suggestConversationSummary#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.conversations.suggestions/suggestConversationSummary#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.conversations.suggestions/suggestConversationSummary#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.conversations.suggestions/suggestConversationSummary#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.conversations.suggestions/suggestConversationSummary#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.conversations.suggestions/suggestConversationSummary#body.aspect)
- [Try it!](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.conversations.suggestions/suggestConversationSummary#try-it)

Suggest summary for a conversation based on specific historical messages. The range of the messages to be used for summary can be specified in the request.

### HTTP request

Choose an endpoint:
global   
`POST https://dialogflow.googleapis.com/v2beta1/{conversation=projects/*/conversations/*}/suggestions:suggestConversationSummary`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

**OR**

`POST https://{endpoint}/v2beta1/{conversation=projects/*/conversations/*}/suggestions:suggestConversationSummary`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `conversation` | `string` Required. The conversation to fetch suggestion for. Format: `projects/<Project ID>/locations/<Location ID>/conversations/<Conversation ID>`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "latestMessage": string, "contextSize": integer, "assistQueryParams": { object (`https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/AssistQueryParameters`) } } ``` |

| Fields ||
|---|---|
| `latestMessage` | `string` Optional. The name of the latest conversation message used as context for compiling suggestion. If empty, the latest message of the conversation will be used. Format: `projects/<Project ID>/locations/<Location ID>/conversations/<Conversation ID>/messages/<Message ID>`. |
| `contextSize` | `integer` Optional. Max number of messages prior to and including \[latestMessage\] to use as context when compiling the suggestion. By default 500 and at most 1000. |
| `assistQueryParams` | ``object (`https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/AssistQueryParameters`)`` Optional. Parameters for a human assist query. Only used for POC/demo purpose. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/SuggestConversationSummaryResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dialogflow`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).